### Method

# FwupdPlugin Device has_parent_guid

#### Declaration [src]

    gboolean
    fu_device_has_parent_guid (
      FuDevice* self,
      const gchar* guid
    )

#### Description [src]

Searches the list of parent GUIDs for a string match.

Available since: | 1.0.8

#### Parameters

`guid` | `const gchar*`
| A GUID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the parent GUID exists.